org.keycloak.common.util

## Class StackUtil

- java.lang.Object
- - org.keycloak.common.util.StackUtil

-     public class StackUtil
      extends Object

  Author:
    hmlnarik

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StackUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Object` | `getShortStackTrace()` Returns string representation of the stack trace of the current call without the call to the `getShortStackTrace` itself, and ignoring usually irrelevant calls to methods in `sun.` and `java.lang.reflect` packages.
    `static Object` | `getShortStackTrace(String prefix)` Returns string representation of the stack trace of the current call without the call to the `getShortStackTrace` itself, and ignoring usually irrelevant calls to methods in `sun.` and `java.lang.reflect` packages.
    `static boolean` | `isShortStackTraceEnabled()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StackUtil

          public StackUtil()

  - ### Method Detail

    - #### getShortStackTrace

          public static Object getShortStackTrace()

      Returns string representation of the stack trace of the current call without the call to the `getShortStackTrace` itself, and ignoring usually irrelevant calls to methods in `sun.` and `java.lang.reflect` packages. The stack trace ignores calls before and including the first `org.jboss.resteasy` method, hence it usually finishes with the method handling respective REST endpoint. Each line of the stack trace is prepended with `"\n "`.
      Returns:
        If the logger `org.keycloak.STACK_TRACE` is set to trace level, then returns stack trace, else returns empty `StringBuilder`

    - #### getShortStackTrace

          public static Object getShortStackTrace(String prefix)

      Returns string representation of the stack trace of the current call without the call to the `getShortStackTrace` itself, and ignoring usually irrelevant calls to methods in `sun.` and `java.lang.reflect` packages. The stack trace ignores calls before and including the first `org.jboss.resteasy` method, hence it usually finishes with the method handling respective REST endpoint.
      Parameters:
        `prefix` - Prefix to prepend to every stack trace line
      Returns:
        If the logger `org.keycloak.STACK_TRACE` is set to trace level, then returns stack trace, else returns empty `StringBuilder`

    - #### isShortStackTraceEnabled

          public static boolean isShortStackTraceEnabled()

Copyright © 2021 JBoss by Red Hat. All rights reserved.